Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/balance' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "balanceActive": 0,
        "balancePending": 0,
        "balance": 0
    }
}
Endpoint:
https://api.mayar.id/hl/v1/balance

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
The main data returned (detailed customer/user information).

data Structure (Array Of Object)

balanceActive
integer
Active balance that can be used/withdrawn immediately.
balancePending
integer
Pending balance (cannot be withdraw).
balance
integer
Total overall balance (Active balance + Pending balance).